Loading...
Searching...
No Matches
BALL::GeneralizedBornModel Class Reference

`#include <BALL/SOLVATION/generalizedBornCase.h>`

## Classes

struct | Option
struct | Default

## Public Member Functions

| GeneralizedBornModel ()
| ~GeneralizedBornModel ()
void | clear ()
bool | setup (const AtomContainer &ac)
void | setScalingFactorFile (const String &filename)
| ??? This should be done through Options!
void | setScalingFactors (const StringHashMap< float > &scaling_factors)
const StringHashMap< float > & | getScalingFactors () const
void | setSolventDC (float solvent_dc)
| ??? Should be done by options
void | setSoluteDC (float solute_dc)
| ??? Should be done by options
float | calculateEnergy ()
| Compute the total energy of the system.
float | calculateSolvationEnergy ()
void | calculatePotential (HashMap< const Atom *, float > &p_hash) const
float | calculatePotential (const Atom &atom_i) const
bool | readScalingFactors (const String &inifile_name)

## Detailed Description

Compute the electrostatics of a molecule in solution.

This implementation bases on

[1] "Modification of the Generalized Born Model Suitable for Macromolecules" Onufriev, Bashford, Case J. Phys. Chem. B 104:3712-3720, 2000

This paper uses techniques from

[2] "Semianalytical Treatment of Solvation for Molecular Mechanics and Dynamics" Still, Tempczyk, Hawley, Hendrickson J. Am. Chem. Soc. 112(16):6127-6129, 1990

[3] "Application of a pairwise generalized Born model to proteins and nucleic acids: inclusion of salt eff¤ects " Srinivasan, Trevathan, Beroza, Case Theor. Chem. Acc. 101(6):426-434, 1999

Definition at line 61 of file generalizedBornCase.h.

## Constructor & Destructor Documentation

## GeneralizedBornModel()

BALL::GeneralizedBornModel::GeneralizedBornModel | ( |  | ) |

Exceptions

  BALL::Exception::FileNotFound |

## ~GeneralizedBornModel()

BALL::GeneralizedBornModel::~GeneralizedBornModel | ( |  | ) |

## Member Function Documentation

## calculateEnergy()

float BALL::GeneralizedBornModel::calculateEnergy | ( |  | ) |

Compute the total energy of the system.

## calculatePotential() [1/2]

float BALL::GeneralizedBornModel::calculatePotential | ( | const Atom & | atom_i | ) | const

Calculate the total potential created by every other atom of the system at the position of atom_i

## calculatePotential() [2/2]

void BALL::GeneralizedBornModel::calculatePotential | ( | HashMap< const Atom *, float > & | p_hash | ) | const

Calculate the total potential created by every other atom of the system for every atom and return a hashmap conteining the potential values.

## calculateSolvationEnergy()

float BALL::GeneralizedBornModel::calculateSolvationEnergy | ( |  | ) |

Compoute only the solvation energy (meaning the transfer energy which is a kind of a reaction field energy)

## clear()

void BALL::GeneralizedBornModel::clear | ( |  | ) |

## getScalingFactors()

const StringHashMap< float > & BALL::GeneralizedBornModel::getScalingFactors | ( |  | ) | const

## readScalingFactors()

bool BALL::GeneralizedBornModel::readScalingFactors | ( | const String & | inifile_name | ) |

Exceptions

  BALL::Exception::FileNotFound |

## setScalingFactorFile()

void BALL::GeneralizedBornModel::setScalingFactorFile | ( | const String & | filename | ) |

??? This should be done through Options!

## setScalingFactors()

void BALL::GeneralizedBornModel::setScalingFactors | ( | const StringHashMap< float > & | scaling_factors | ) |

## setSoluteDC()

void BALL::GeneralizedBornModel::setSoluteDC | ( | float | solute_dc | ) |

??? Should be done by options

## setSolventDC()

void BALL::GeneralizedBornModel::setSolventDC | ( | float | solvent_dc | ) |

??? Should be done by options

## setup()

bool BALL::GeneralizedBornModel::setup | ( | const AtomContainer & | ac | ) |

We need an additional optioned version of that piece of code

Exceptions

  BALL::Exception::FileNotFound |